%define ver     4.0.0

Summary: LSB application runner for non-LSB systems
Name: lsb-runner
Version: %ver
Release: 2
License: LF
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-runner-%ver.tar.gz
BuildRoot: /var/tmp/lsb-runner-root
AutoReqProv: no
Requires: lsb-setup
# Does not strictly require lsb
#PreReq: lsb >= 3.1

%description

This package provides lsbrun, a utility for running LSB-compliant
applications on Linux systems that do not provide a LSB runtime
(at least as well as such applications can run).

%prep
%setup -q

%build
make LSBVERSION=${RPM_PACKAGE_VERSION} LSBLIBCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsbrun
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsbrun


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/lsbrun
/opt/lsb/doc/lsbrun/Licence
/opt/lsb/doc/lsbrun/README

%changelog
* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- require lsb-setup, be specific with %%files list

* Tue Oct 16 2007 Jeff Licquia <licquia@linux-foundation.org>
- Copy from the lsbcc packaging for lsbrun.

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Initial package

